> For the complete documentation index, see [llms.txt](https://docs.blockpi.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.blockpi.io/build/api-reference/sui/grpc/suix_getallbalances-6.md).

# GetServiceInfo

#### **Parameters:**

**None**

#### **Returns:**

**chain** - [string](https://docs.sui.io/references/fullnode-protocol#string) Human-readable name of the chain that this node is on. This is intended to be a human-readable name like `mainnet`, `testnet`, and so on.

**chain\_id** - [string](https://docs.sui.io/references/fullnode-protocol#string) The chain identifier of the chain that this node is on. The chain identifier is the digest of the genesis checkpoint, the checkpoint with sequence number 0.

**checkpoint\_height** - [uint64](https://docs.sui.io/references/fullnode-protocol#uint64) Checkpoint height of the most recently executed checkpoint.

**epoch** - [uint64](https://docs.sui.io/references/fullnode-protocol#uint64) Current epoch of the node based on its highest executed checkpoint.

**lowest\_available\_checkpoint** - [uint64](https://docs.sui.io/references/fullnode-protocol#uint64) The lowest checkpoint for which checkpoints and transaction data are available.

**lowest\_available\_checkpoint\_objects** - [uint64](https://docs.sui.io/references/fullnode-protocol#uint64) The lowest checkpoint for which object data is available.

**server** - [string](https://docs.sui.io/references/fullnode-protocol#string) Software version of the service. Similar to the `server` http header.

**timestamp** - [Timestamp](https://docs.sui.io/references/fullnode-protocol#google-protobuf-Timestamp) Unix timestamp of the most recently executed checkpoint.

#### Example:

{% code overflow="wrap" %}

```json
grpcurl -proto .sui/rpc/v2/ledger_service.proto 
-H "x-token: YOUR_TOKEN_VALUE" 
-d 
'{
   

}' 
sui.blockpi.network:443 sui.rpc.v2.LedgerService/GetServiceInfo
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.blockpi.io/build/api-reference/sui/grpc/suix_getallbalances-6.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
